<p-dialog header="Rubros temáticos" [(visible)]="viewDisplay" [breakpoints]="{'960px': '75vw'}" [style]="{width: '60vw'}"
  [draggable]="false" [resizable]="false" [modal]="true">
  <form>
    <div class="form-row">
      <div class="col-12">
        <label for="">Rubros temáticos:</label>
        <textarea cols="30" rows="5" class="form-control" placeholder="Escribe aquí..." name="rubro" id="rubro"
          [(ngModel)]="rubro"></textarea>
        <div class="d-flex justify-content-end my-2">
          <p-button styleClass="p-button-sm" label="Agregar rubro" (onClick)="agregarRubro()"></p-button>
        </div>
        <div class="list p-3" style="height: 200px">
          <div class="list-item-rubro" *ngFor="let rubrosTem of rubroTematico.rubrosTematicos; let i = index;">
            <div class="list-options">
              <i class="pi pi-trash c-del" (click)="rubroTematico.rubrosTematicos.splice(i,1)"></i>
              <i class="pi pi-pencil"></i>
            </div>
            <p class="item-rubro">{{(i+1) + '. ' + rubrosTem}}</p>
          </div>
        </div>
      </div>
      <div class="col-12">
        <p-fieldset legend="Votación" id="panel">
          <p class="votacion-req" *ngIf="isRequerid">*Tabla de votaciones es un campo requerido.</p>

          <div class="row">
            <div class="col-12">
              <label for="">Texto votación:</label>
              <textarea cols="10" rows="5" class="form-control" [(ngModel)]="rubroTematico.textoVotacion" name="textoV"
                id="textoV"></textarea>
              <div class="d-flex justify-content-end mt-2">
                <p-button styleClass="p-button-sm" label="Analizar texto" (onClick)="processText()"></p-button>
              </div>
            </div>
            <label for="" class="col-12">Votación:</label>
            <div class="col-6">
              <div class="head-votacion d-flex px-3 py-1">
                <p-checkbox name="favo" [(ngModel)]="favor" (onChange)="markAllFavor($event)"></p-checkbox>
                <p class="text-center w-100">Votación a favor ({{rubroTematico.votacionFavor.length}})</p>
              </div>
              <div class="list p-2">
                <div [ngClass]="{'disabled':rubroTematico.votacionEnContra.includes(vFavor)}" class="list-item d-flex align-items-center"
                  style="gap: 10px;" *ngFor="let vFavor of rubroTematico.ministros">
                  <p-checkbox name="group4" value="vFavor" [value]="vFavor" [(ngModel)]="rubroTematico.votacionFavor"
                    [inputId]="vFavor+'favor4'"></p-checkbox>
                  <label [for]="vFavor+'favor4'" class="mb-0">{{vFavor}}</label>
                </div>
              </div>
            </div>
            <div class="col-6">
              <div class="head-votacion d-flex px-3 py-1">
                <p-checkbox name="cont" [(ngModel)]="contra" (onChange)="markAllContra($event)"></p-checkbox>
                <p class="text-center w-100">Votación en contra ({{rubroTematico.votacionEnContra.length}})</p>
              </div>
              <div class="list p-2">
                <div [ngClass]="{'disabled':rubroTematico.votacionFavor.includes(vContra)}" class="list-item d-flex align-items-center"
                  style="gap: 10px;" *ngFor="let vContra of rubroTematico.ministros">
                  <p-checkbox name="group5" value="vContra" [value]="vContra" [(ngModel)]="rubroTematico.votacionEnContra"
                    [inputId]="vContra+'contra5'">
                  </p-checkbox>
                  <label [for]="vContra+'contra5'" class="mb-0">{{vContra}}</label>
                </div>
              </div>
            </div>

          </div>
        </p-fieldset>
      </div>
    </div>
  </form>
  <ng-template pTemplate="footer">
    <p-button styleClass="p-button-sm" (click)="isEditRubro ?editRubroTematico() :crearRubroTematico()"
      [label]="isEditRubro?'Actualizar':'Guardar'"></p-button>
  </ng-template>
</p-dialog>
